/* This code converts GraphML to gml
 * 
 */
#include <ogdf/fileformats/GraphIO.h>

#include <iostream>

using namespace ogdf;


int main(int argc, char* argv[]) 
{

    string input_file = argv[1];
    Graph G;

    if (!GraphIO::read(G, input_file, GraphIO::readGML)) {
        std::cerr << "Could not read input.gml" << std::endl;
        return 1;
    }

    std::cout <<  G.numberOfNodes() << ", " << G.numberOfEdges() << std::endl;
    

    return 0;
}
